//---------------------------------------------------------------------------

#ifndef MainUnitH
#define MainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "FlashPlayerControl.hpp"
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TTransparentFlashPlayerControl *TransparentFlashPlayerControl1;
        TFlashPlayerControl *FlashPlayerControl1;
        TButton *ButtonPlayFLV;
        TButton *ButtonPlaySWF;
        TCheckBox *CheckBoxEnableStandartFlashMenu;
        TCheckBox *CheckBoxEnableSounds;
        TCheckBox *CheckBoxTransparent;
        TButton *ButtonSite;
        TButton *ButtonOrder;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall ButtonOrderClick(TObject *Sender);
        void __fastcall ButtonPlayFLVClick(TObject *Sender);
        void __fastcall ButtonPlaySWFClick(TObject *Sender);
        void __fastcall ButtonSiteClick(TObject *Sender);
        void __fastcall CheckBoxEnableSoundsClick(TObject *Sender);
        void __fastcall CheckBoxEnableStandartFlashMenuClick(
          TObject *Sender);
        void __fastcall CheckBoxTransparentClick(TObject *Sender);
private:	// User declarations
        bool FPlaySWF;

        void __fastcall OnGlobalLoadExternalResource(const WideString URL, Classes::TStream* Stream);
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
